# This creates a policy that's scoped to a specific database

$p1 = new-object ($dmf + 'Policy') $pol, "CreateFinanceTab"
$p1.Condition = "TablePattern"
$p1.AutomatedPolicyExecutionMode = [Microsoft.SqlServer.Management.Dmf.AutomatedPolicyExecutionMode]::Enforce
$p1.Enabled = $true

$os = new-object ($dmf + 'ObjectSet') $pol, "CheckFinanceTab_ObjectSet"
$os.Facet = "IMultipartNameFacet"

$ts1 = $os.TargetSets["Server/Database/Table"]
$ts1.Enabled = $true

$tsl = $ts1.GetLevel("Server/Database")
$ts1.SetLevelCondition($tsl, "FinanceDB")

os.Create()
p1.ObjectSet = "CheckFinanceTab_ObjectSet"
p1.Create()

